diálogos.Añade("intro", [
	{ fondo: "paisaje" },
	{ personaje: "Deva" },
	"¡Hola! Soy Deva, una desarrolladora de juegos.",
	"Hemos hecho un pequeño juego para que veáis lo que podéis hacer con Juglar.",
	{ personaje: "Juglar" },
	"¡Hola! Yo soy Juglar, una herramienta para crear juegos.",
	"En este caso vamos a hacer uno de preguntas y respuestas.",
	"¿Qué te parece, Deva? ¿Qué podemos preguntar?",
	{ personaje: "Deva" },
	"Podemos empezar con algo sobre la historia de los videojuegos ¿no?",
	"¿Sabes cuando se creó el primer juego de aventuras con gráficos?",
	{opciones:[
		{texto:"En el año 1980", continúa: "aciertaAño"},
		{texto:"En el año 1990", continúa: "fallaAño"},
		{texto:"En el año 2000", continúa: "fallaAño"},
	]},
])

diálogos.Añade("fallaAño", [
	{ personaje: "Juglar" },
	"Oh, vaya, te has equivocado.",
	{ continúa: "continuaExplicaciónAño" },
])

diálogos.Añade("aciertaAño", [
	{ guarda: "aciertos", suma: 1 },
	{ personaje: "Juglar" },
	"¡Correcto! Has acertado.",
	{ continúa: "continuaExplicaciónAño" },
])

diálogos.Añade("continuaExplicaciónAño", [
	'El primer juego de aventuras con gráficos fue "Mistery House".',
	"Fue creado en el año 1880 y vendió más de 10.000 copias.",
	{ personaje: "Deva" },
	"Es sorprendente para la época, pues no había muchos ordenadores.",
	"Prueba que no hace falta una gran empresa para crear algo genial.",
	"De hecho ¿a que no adivináis quien lo creó?",
	{opciones:[
		{texto:"Elon Musk", continúa: "fallaCreador"},
		{texto:"Roberta Williams", continúa: "aciertaCreador"},
		{texto:"Shigeru Miyamoto", continúa: "fallaCreador"},
	]},
])

diálogos.Añade("fallaCreador", [
	{ personaje: "Juglar" },
	"No, siento decirte que eso no es correcto.",
	{ continúa: "continuaExplicaciónCreador" },
])

diálogos.Añade("aciertaCreador", [
	{ guarda: "aciertos", suma: 1 },
	{ personaje: "Juglar" },
	"Efectivamente, así es.",
	{ continúa: "continuaExplicaciónCreador" },
])

diálogos.Añade("continuaExplicaciónCreador", [
	'Roberta Williams creó "Mistery House", aunque no lo hizo sola.',
	"Ella creó la historia, la mecánica y los dibujos, y su marido Ken lo programó.",
	{ personaje: "Deva" },
	"Eso es normal en el mundo de los videojuegos.",
	"Los juegos suelen hacerse con equipos de muchas personas.",
	{ personaje: "Juglar" },
	"Si colaboráis podéis repartiros el trabajo.",
	"Una persona puede hacer la historia, y otra el arte, si se le da mejor.",
	{ personaje: "Deva" },
	"A propósito de arte",
	"¿Adivinas que tipo de arte usaron?",
	{opciones:[
		{texto:"Puntos unidos por líneas", continúa: "aciertaArte"},
		{texto:"Dibujos hechos a mano", continúa: "fallaArte"},
		{texto:"Imágenes tridimensionales", continúa: "fallaArte"},
	]},
])

diálogos.Añade("fallaArte", [
	{ personaje: "Juglar" },
	"Pues no, no pudieron hacerlo así.",
	{ continúa: "continuaExplicaciónArte" },
])

diálogos.Añade("aciertaArte", [
	{ guarda: "aciertos", suma: 1 },
	{ personaje: "Juglar" },
	"¡Exacto! Así lo hicieron.",
	{ continúa: "continuaExplicaciónArte" },
])

diálogos.Añade("continuaExplicaciónArte", [
	{ personaje: "Juglar" },
	"Los ordenadores de aquella época tenían muy poca memoria.",
	"Roberta hizo 70 dibujos, que ocuparían mucha memoria.",
	"Así que a su marido se le ocurrió hacerlo más sencillo.",
	"Guardando solo unos puntos podía unirlos con líneas.",
	{ personaje: "Deva" },
	"Eran dibujos muy simples, pero suficientes para aquella época.",
	"En videojuegos es muy importante tener ideas creativas.",
	"A veces soluciones que no te esperas tienen grandes resultados.",
	{ personaje: "Juglar" },
	"Por eso yo creo que vosotres también podéis hacer grandes cosas.",
	"¿Sabéis cómo acabo la historia de Roberta y Ken?",
	"Crearon una empresa de juegos de aventuras: Sierra Online.",
	"Se convirtió en una de las más importantes de la época.",
	{ personaje: "Deva" },
	"Bueno, no todo el mundo puede crear grandes empresas.",
	"Pero si creo que podemos hacer juegos interesantes.",
	"Creo que podemos hacer algo especial ¿no es verdad?",
	{ si: ()=> console.log(Estado['aciertos'])},
	{ si: ()=> Estado['aciertos']==0, continúa: "todoFallos" },
	{ si: ()=> Estado['aciertos']==3, continúa: "todoAciertos" },
	{ continúa: "algunosFallos" },
])

diálogos.Añade("todoAciertos", [
	{ personaje: "Juglar" },
	"En cualquier caso tú has hacertado todo lo que te hemos preguntado.",
	"¡Es magnífico!",
	"¿Ya lo sabías, o es que tienes una gran intuición?",
	{ continúa: "final" },
])

diálogos.Añade("todoFallos", [
	{ personaje: "Juglar" },
	"Por otro lado, veo que no sabías nada de lo que preguntamos.",
	"Pero eso significa que has aprendido cosas nuevas ¿verdad?",
	"¿Eso te ayudará a tener otro punto de vista?",
	{ continúa: "final" },
])

diálogos.Añade("algunosFallos", [
	{ personaje: "Juglar" },
	"Al menos ya has visto nuestro pequeño juego.",
	"Has tenido aciertos y fallos, pero has aprendido algo ¿no?",
	"Eso es lo importante.",
	{ continúa: "final" },
])

diálogos.Añade("final", [
	{ personaje: "Deva" },
	"Este juego que hemos hecho es muy sencillito.",
	"Pero apuesto a que tú puedes hacer algo mejor ¿verdad?",
	{ personaje: "Juglar" },
	"¡Seguro! Y si colaboráis varias personas, mejor que mejor.",
	"Tenéis oportunidades que no tenía Roberta Williams hace 40 años.",
	"Me pregunto que serás capaz de hacer.",
])